## dotnet6 6.0.128

=== debian/changelog ===
dotnet6 (6.0.128-0ubuntu1~22.04.2) jammy; urgency=medium

  * Add ca-certificates to dotnet-sdk-6.0 depends (LP: #2057982).
  * debian/tests/01_regular-tests:
    - Add optional environment variable REGULAR_TESTS_RUNNER_VERSION
      to download newer versions of test runner from 
      https://github.com/canonical/dotnet-test-runner.
    - Add optional environment variable REGULAR_TESTS_REF
      to download newer versions of test cases from 
      https://github.com/canonical/dotnet-regular-tests/
      - Add git as a dependency.
    - Increase testcase timeout from 300 to 720 seconds.
    - Add optional environment variable REGULAR_TESTS_TESTCASE_TIMEOUT_IN_SECONDS
      to allow overwriting the value externally.
    - Add optional environment variable REGULAR_TESTS_IGNORE_NU1102_ERRORS
      to ignore pagage not found errors during embargo time.
  * Add debian/eng/dotnet-version.py; needed by debian/tests/01_regular-tests
  * debian/rules: Added override_dh_auto_test; runs d/t/build-time-tests
  * debian/copyright: Update debian/ copyright information

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Fri, 15 Mar 2024 16:43:24 +0200

dotnet6 (6.0.128-0ubuntu1~22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2057699)
  * debian/tests:
    - Replaced autopkgtest suite with debian/tests/regular-tests
    - Added debian/tests/build-time-tests
  * debian/rules: Added override_dh_auto_test; runs d/t/build-time-tests
  * debian/eng: Added directory for scripts & libraries used within the package:
    - Added debian/eng/test-runner (runs debian/tests/regular-tests).
    - Added debian/eng/versionlib (.NET version parsing library; used by
      debian/tests/build-time-tests).
    - Added debian/eng/strenum; needed by debian/eng/versionlib
    - Moved debian/failing-watchfile-script.sh and build-dotnet-tarball.sh to
      debian/eng
  * debian/source/include-binaries: includes a certificate needed by
    debian/tests/regular-tests/libuv-kestrel-sample-app-2x

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Mon, 11 Mar 2024 23:54:20 +0200

dotnet6 (6.0.127-0ubuntu1~22.04.1) jammy-security; urgency=medium

  * New upstream release
  * SECURITY UPDATE: denial of service
    - CVE-2024-21386: denial of service vector in SignalR server.
  * SECURITY UPDATE: denial of service
    - CVE-2024-21404: .NET with OpenSSL support is vulnerable to a denial of
      service when parsing X509 certificates.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 09 Feb 2024 10:40:34 +0530

dotnet6 (6.0.126-0ubuntu1~22.04.1) jammy-security; urgency=medium

  * New upstream release
  * SECURITY UPDATE: validation bypass
    - CVE-2024-0057: X509 Certificates - Validation Bypass across Azure
  * SECURITY UPDATE: denial of service
    - CVE-2024-21319: Azure Identity - Pre-Authentication DoS in JWT

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 04 Jan 2024 10:00:44 +0530

dotnet6 (6.0.125-0ubuntu1~22.04.1) jammy-security; urgency=medium

  [ Nishit Majithia ]
  * New upstream release
  * SECURITY UPDATE: security feature bypass
    - CVE-2023-36558: Security Feature Bypass in Blazor forms
  * SECURITY UPDATE: Arbitrary File Write and Deletion
    - CVE-2023-36049: Microsoft .NET FormatFtpCommand CRLF Injection
      Arbitrary File Write and Deletion

 -- Ian Constantin <ian.constantin@canonical.com>  Mon, 13 Nov 2023 15:37:51 +0200

dotnet6 (6.0.124-0ubuntu1~22.04.1) jammy-security; urgency=medium

  * New upstream release
  * SECURITY REGRESSION: regression update (LP: #2040207)
    - Addresses a regression previously introduced by the fix for
      CVE-2023-36799

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 23 Oct 2023 11:41:09 +0530

dotnet6 (6.0.123-0ubuntu1~22.04.1) jammy-security; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: denial of service
    - CVE-2023-44487: Denial of service - Kestrel server.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 04 Oct 2023 23:02:16 +0300

dotnet6 (6.0.122-0ubuntu1~22.04.1) jammy-security; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: denial of service
    - CVE-2023-36799: A vulnerability exists in .NET when processing X.509
      certificates that may result in Denial of Service.
  * debian/tests/cli-metadata-should-be-correct: updated regex for the Host
    Runtime Version check.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 05 Sep 2023 09:31:21 +0530

dotnet6 (6.0.121-0ubuntu1~22.04.1) jammy-security; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: remote code exection
    - CVE-2023-35390: When running some dotnet commands(e.g. dotnet help
      add), dotnet attempts to locate and initiate a new process using
      cmd.exe. However, it prioritizes searching for cmd.exe in the current
      working directory (CWD) before checking other locations. This can
      potentially lead to the execution of malicious code.
  * SECURITY UPDATE: denial of service
    - CVE-2023-38178: ASP.NET Kestrel stream flow control issue causing a
      leak. A malicious QUIC client, that fires off many unidirectional
      streams with closed writing sides. This will bypass the HTTP/3 stream
      limit and Kestrel cannot keep up with stream processing.
  * SECURITY UPDATE: denial of service
    - CVE-2023-38180: Kestrel vulnerability to slow read attacks

  [ Dominik Viererbe ]
  * d/README.source: updated content
    * added support documentation
    * added end of life process documentation
    * general overhaul
  * d/dotnet.sh.in: DOTNET_ROOT was unnecessarily set (LP: #2027620)
  * d/t/essential-binaries-and-config-files-should-be-present:
    remove check if DOTNET_ROOT is set
  * d/watch
    * updated matching-pattern to only match 6.0.1XX releases
    * d/watch file will fail now deliberately. See comment in d/watch
      for more information
  * unify d/repack-dotnet-tarball.sh into d/build-dotnet-tarball.sh and
    updated command line interface


