## dotnet6 6.0.132

=== debian/changelog ===
dotnet6 (6.0.132-0ubuntu1~23.10.1) mantic-security; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: denial of service
    - CVE-2024-38095: Denial of service in parsing X.509 Content and
      ObjectIdentifiers.
  * debian/eng/build-dotnet-tarball.sh: SECURITY_PARTNERS_REPOSITORY
    connection method updated.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 03 Jul 2024 09:25:05 +0530

dotnet6 (6.0.130-0ubuntu1~23.10.1) mantic; urgency=medium

  * New upstream release (LP: #2065300).

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Fri, 10 May 2024 11:32:10 -0300

dotnet6 (6.0.129-0ubuntu1~23.10.1) mantic; urgency=medium

  * New upstream release (LP: #2060259).
  * debian/README.source: Update support information (LP: #2058746).
  * debian/eng/versionlib: Add support for '+really' and '~bootstrap+ARCH' 
                           in version string.
  * debian/tests/versionlib-tests: Add versionlib unit tests
    - debian/tests/run-versionlib-tests.sh: script to run the tests

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Fri, 05 Apr 2024 06:10:52 +0300

dotnet6 (6.0.128-0ubuntu1~23.10.2) mantic; urgency=medium

  * Add ca-certificates to dotnet-sdk-6.0 depends (LP: #2057982).
  * debian/tests/01_regular-tests:
    - Add optional environment variable REGULAR_TESTS_RUNNER_VERSION
      to download newer versions of test runner from 
      https://github.com/canonical/dotnet-test-runner.
    - Add optional environment variable REGULAR_TESTS_REF
      to download newer versions of test cases from 
      https://github.com/canonical/dotnet-regular-tests/
      - Add git as a dependency.
    - Increase testcase timeout from 300 to 720 seconds.
    - Add optional environment variable REGULAR_TESTS_TESTCASE_TIMEOUT_IN_SECONDS
      to allow overwriting the value externally.
    - Add optional environment variable REGULAR_TESTS_IGNORE_NU1102_ERRORS
      to ignore pagage not found errors during embargo time.
  * Add debian/eng/dotnet-version.py; needed by debian/tests/01_regular-tests
  * debian/rules: Added override_dh_auto_test; runs d/t/build-time-tests
  * debian/copyright: Update debian/ copyright information

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Fri, 15 Mar 2024 17:34:42 +0200

dotnet6 (6.0.128-0ubuntu1~23.10.1) mantic; urgency=medium

  * New upstream release (LP: #2057699)
  * debian/tests:
    - Replaced autopkgtest suite with debian/tests/regular-tests
    - Added debian/tests/build-time-tests
  * debian/rules: Added override_dh_auto_test; runs d/t/build-time-tests
  * debian/eng: Added directory for scripts & libraries used within the package:
    - Added debian/eng/test-runner (runs debian/tests/regular-tests).
    - Added debian/eng/versionlib (.NET version parsing library; used by
      debian/tests/build-time-tests).
    - Added debian/eng/strenum; needed by debian/eng/versionlib
    - Moved debian/failing-watchfile-script.sh and build-dotnet-tarball.sh to
      debian/eng
  * debian/source/include-binaries: includes a certificate needed by
    debian/tests/regular-tests/libuv-kestrel-sample-app-2x

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Mon, 11 Mar 2024 12:25:48 +0200

dotnet6 (6.0.127-0ubuntu1~23.10.1) mantic-security; urgency=medium

  * New upstream release
  * SECURITY UPDATE: denial of service
    - CVE-2024-21386: denial of service vector in SignalR server.
  * SECURITY UPDATE: denial of service
    - CVE-2024-21404: .NET with OpenSSL support is vulnerable to a denial of
      service when parsing X509 certificates.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 09 Feb 2024 10:42:40 +0530

dotnet6 (6.0.126-0ubuntu1~23.10.1) mantic-security; urgency=medium

  * New upstream release
  * SECURITY UPDATE: validation bypass
    - CVE-2024-0057: X509 Certificates - Validation Bypass across Azure
  * SECURITY UPDATE: denial of service
    - CVE-2024-21319: Azure Identity - Pre-Authentication DoS in JWT

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 04 Jan 2024 12:28:52 +0530

dotnet6 (6.0.125-0ubuntu1~23.10.1) mantic-security; urgency=medium

  [ Nishit Majithia ]
  * New upstream release
  * SECURITY UPDATE: security feature bypass
    - CVE-2023-36558: Security Feature Bypass in Blazor forms
  * SECURITY UPDATE: Arbitrary File Write and Deletion
    - CVE-2023-36049: Microsoft .NET FormatFtpCommand CRLF Injection
      Arbitrary File Write and Deletion

 -- Ian Constantin <ian.constantin@canonical.com>  Mon, 13 Nov 2023 15:38:02 +0200

dotnet6 (6.0.124-0ubuntu1~23.10.1) mantic-security; urgency=medium

  * New upstream release
  * SECURITY REGRESSION: regression update (LP: #2040207)
    - Addresses a regression previously introduced by the fix for
      CVE-2023-36799

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 23 Oct 2023 12:21:44 +0530

dotnet6 (6.0.123-0ubuntu1) mantic-security; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: denial of service
    - CVE-2023-44487: Denial of service - Kestrel server.
  * SECURITY UPDATE: denial of service
    - CVE-2023-36799: A vulnerability exists in .NET when processing X.509
      certificates that may result in Denial of Service.
  * debian/tests/cli-metadata-should-be-correct: updated regex for the Host
    Runtime Version check.
  * debian/rules: strip away -fstack-clash-protection flag and set
    -mbranch-protection=bti for arm64.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 18 Oct 2023 16:22:12 +0300
