## dotnet6 6.0.135

=== debian/changelog ===
dotnet6 (6.0.135-0ubuntu1~22.04.1) jammy-security; urgency=medium

  * New upstream release
  * SECURITY UPDATE: denial of service
    - CVE-2024-43483: Multiple .NET components designed to process hostile
      input are susceptible to hash flooding attacks.
  * SECURITY UPDATE: denial of service
    - CVE-2024-43484: System.IO.Packaging - Multiple DoS vectors in use of
      SortedList.
  * SECURITY UPDATE: denial of service
    - CVE-2024-43485: Denial of Service attack against System.Text.Json
      ExtensionData feature.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 04 Oct 2024 20:46:48 +0530

dotnet6 (6.0.133-0ubuntu1~22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2076742).

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Tue, 13 Aug 2024 01:13:16 +0300

dotnet6 (6.0.132-0ubuntu1~22.04.1) jammy-security; urgency=medium

  * New upstream release
  * SECURITY UPDATE: denial of service
    - CVE-2024-38095: Denial of service in parsing X.509 Content and
      ObjectIdentifiers.
  * debian/eng/build-dotnet-tarball.sh: SECURITY_PARTNERS_REPOSITORY
    connection method updated.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 04 Jul 2024 10:23:31 +0530

dotnet6 (6.0.130-0ubuntu1~22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2065300).

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 07 May 2024 11:35:02 -0300

dotnet6 (6.0.129-0ubuntu1~22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2060259).
  * debian/README.source: Update support information (LP: #2058746).
  * debian/eng/versionlib: Add support for '+really' and '~bootstrap+ARCH' 
                           in version string.
  * debian/tests/versionlib-tests: Add versionlib unit tests
    - debian/tests/run-versionlib-tests.sh: script to run the tests

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Fri, 05 Apr 2024 06:04:27 +0300
