=== debian/rules ===
--- 
+++ 
@@ -7,17 +7,6 @@
 
 SHELL = /bin/bash
 export HOME=$(shell mktemp -d)
-
-# -fstack-clash-protection is not implemented in arm64 clang,
-# therefore stripping this flag away to avoid the error:
-# clang: error: argument unused during compilation.
-# See https://github.com/llvm/llvm-project/issues/40148
-ifeq ($(DEB_HOST_ARCH), arm64)
-       export DEB_CFLAGS_MAINT_STRIP = -fstack-clash-protection
-       export DEB_CXXFLAGS_MAINT_STRIP = -fstack-clash-protection
-       export DEB_CFLAGS_MAINT_SET = -mbranch-protection=bti
-       export DEB_CXXFLAGS_MAINT_SET = -mbranch-protection=bti
-endif
 
 ifeq ($(DEB_HOST_ARCH), amd64)
         _RUNTIME_ARCH = x64
